-- Package declaration
local _groupauras = _G["github.com/eandre/groupauras"] or {}
_G["github.com/eandre/groupauras"] = _groupauras

local builtins = _G.lunar_go_builtins

local _acecfg = _G["github.com/eandre/groupauras/pkg/ace/acecfg"]

_groupauras.CoreOptions = nil

_groupauras.initOptions = function()
	_groupauras.CoreOptions = setmetatable({ ["name"] = "General", ["args"] = { ["general"] = setmetatable({ ["name"] = "General Options", ["order"] = 1, ["args"] = { ["rotateMap"] = setmetatable({ ["name"] = "Rotate Map", ["desc"] = "Rotates the map around you as you move.", ["get"] = function()
		return _groupauras.DB.profile.RotateMap
	end, ["set"] = function(info, value)
		_groupauras.DB.profile.RotateMap = value
	end, ["order"] = 0, ["type"] = "toggle" }, {__index=_acecfg.Toggle}) }, ["desc"] = "", ["type"] = "group" }, {__index=_acecfg.Group}), ["auras"] = setmetatable({ ["name"] = "Auras", ["order"] = 2, ["args"] = { ["addAura"] = setmetatable({ ["name"] = "Add aura", ["func"] = function(info)
		_groupauras.addAura(info)
	end, ["desc"] = "", ["order"] = 0, ["type"] = "execute" }, {__index=_acecfg.Button}), ["auras"] = setmetatable({ ["name"] = "Auras", ["args"] = {  }, ["desc"] = "", ["order"] = 0, ["type"] = "group" }, {__index=_acecfg.Group}) }, ["desc"] = "", ["type"] = "group" }, {__index=_acecfg.Group}) }, ["desc"] = "", ["order"] = 0, ["type"] = "group" }, {__index=_acecfg.Group})
end

_groupauras.addAura = function(info)
end

builtins.add_init(function()
	_groupauras.initOptions()
	_acecfg.RegisterOptionsTable("GroupAuras", _groupauras.CoreOptions, { "groupauras", "ga" })
	_acecfg.AddToBlizOptions("GroupAuras", "")
end)

